LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-20-2015, 05:08 PM   #1
cristian8
LQ Newbie
 
Registered: May 2015
Posts: 2

Rep: Reputation: Disabled
VLC media player download for Linux running Red Hat release 6.6(Santiago)


Hello all,
What are the steps I need to take to download VLC meadia player? I am running the following;

Red Hat Enterprise Linux Server
Release 6.6 (Santiago)
Kernel Linux 2.6.32-504.16.2.el6.x86_64
Knome 2.28.2

I have attempted downoading rpmforge and typing yum install vlc in the terminal however, I recieve the following error;
Code:
[root ~/Downloads]# yum install vlc
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security,
              : subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package vlc.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: vlc-core(x86-64) = 2.0.10-1.el6 for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: kde-filesystem for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libcaca.so.0()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libaa.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libxcb-keysyms.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libfribidi.so.0()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libvlccore.so.5()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
--> Running transaction check
---> Package aalib.x86_64 0:1.4.0-5.el6.rf will be installed
---> Package fribidi.x86_64 0:0.19.2-2.el6 will be installed
---> Package kde-filesystem.noarch 0:4-30.1.el6 will be installed
---> Package libcaca.x86_64 0:0.99-0.9.beta16.el6 will be installed
--> Processing Dependency: libglut.so.3()(64bit) for package: libcaca-0.99-0.9.beta16.el6.x86_64
---> Package vlc.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: live555date(x86-64) = 2012.04.27 for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavformat.so.53(LIBAVFORMAT_53)(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libpostproc.so.52(LIBPOSTPROC_52)(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavutil.so.51(LIBAVUTIL_51)(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavcodec.so.53(LIBAVCODEC_53)(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libswscale.so.2(LIBSWSCALE_2)(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: liblirc_client.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libthreadutil.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libtwolame.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavcodec.so.53()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libass.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvbpsi.so.7()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmodplug.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libva-x11.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvdnav.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmpeg2.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libupnp.so.6()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libkate.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libixml.so.2()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmad.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libzvbi.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libgroupsock.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libopus.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdc1394.so.22()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libx264.so.120()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdvdread.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdirac_encoder.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libpostproc.so.52()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libBasicUsageEnvironment.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libtiger.so.5()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libcddb.so.2()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdirac_decoder.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libliveMedia.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libva.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavutil.so.51()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libUsageEnvironment.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: liba52.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libfaad.so.2()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libebml.so.3()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libSDL_image-1.2.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libdca.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libswscale.so.2()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libmatroska.so.4()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libavformat.so.53()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Processing Dependency: libgme.so.0()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
---> Package xcb-util-keysyms.x86_64 0:0.3.9-5.el6 will be installed
--> Running transaction check
---> Package SDL_image.x86_64 0:1.2.12-9.el6 will be installed
---> Package a52dec.x86_64 0:0.7.4-15.el6.3 will be installed
---> Package dirac-libs.x86_64 0:1.0.2-4.el6 will be installed
---> Package faad2-libs.x86_64 1:2.7-2.el6.3 will be installed
---> Package ffmpeg-libs.x86_64 0:0.10.15-1.el6 will be installed
--> Processing Dependency: libxvidcore.so.4()(64bit) for package: ffmpeg-libs-0.10.15-1.el6.x86_64
--> Processing Dependency: librtmp.so.0()(64bit) for package: ffmpeg-libs-0.10.15-1.el6.x86_64
--> Processing Dependency: libschroedinger-1.0.so.0()(64bit) for package: ffmpeg-libs-0.10.15-1.el6.x86_64
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: ffmpeg-libs-0.10.15-1.el6.x86_64
--> Processing Dependency: libcelt0.so.1()(64bit) for package: ffmpeg-libs-0.10.15-1.el6.x86_64
---> Package freeglut.x86_64 0:2.6.0-1.el6 will be installed
---> Package game-music-emu.x86_64 0:0.6.0-5.el6 will be installed
---> Package libass.x86_64 0:0.10.0-1.el6 will be installed
--> Processing Dependency: libenca.so.0()(64bit) for package: libass-0.10.0-1.el6.x86_64
---> Package libcddb.x86_64 0:1.3.2-2.el6 will be installed
---> Package libdc1394.x86_64 0:2.1.2-3.4.el6 will be installed
---> Package libdca.x86_64 0:0.0.5-6.el6 will be installed
---> Package libdvbpsi.x86_64 0:0.2.2-2.el6 will be installed
---> Package libdvdnav.x86_64 0:4.1.4-0.1.svn1184.el6 will be installed
---> Package libdvdread.x86_64 0:4.1.4-0.3.svn1183.el6 will be installed
---> Package libebml.x86_64 0:1.2.1-1.el6 will be installed
---> Package libkate.x86_64 0:0.3.8-1.el6 will be installed
---> Package libmad.x86_64 0:0.15.1b-14.el6 will be installed
---> Package libmatroska.x86_64 0:1.2.0-1.el6 will be installed
---> Package libmodplug.x86_64 1:0.8.8.5-1.el6 will be installed
---> Package libmpeg2.x86_64 0:0.5.1-9.el6 will be installed
---> Package libtiger.x86_64 0:0.3.4-1.el6 will be installed
---> Package libupnp.x86_64 0:1.6.18-2.el6 will be installed
---> Package libva.x86_64 0:1.0.15-1.el6 will be installed
---> Package lirc-libs.x86_64 0:0.9.0-8.el6 will be installed
---> Package live555.x86_64 0:0-0.37.2012.04.27.el6 will be installed
---> Package opus.x86_64 0:1.1-1.el6 will be installed
---> Package twolame-libs.x86_64 0:0.3.13-2.el6 will be installed
---> Package vlc.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
---> Package x264-libs.x86_64 0:0.120-5.20120303.el6 will be installed
---> Package zvbi.x86_64 0:0.2.33-6.el6 will be installed
--> Running transaction check
---> Package celt.x86_64 0:0.8.0-1.el6 will be installed
---> Package enca.x86_64 0:1.13-1.el6 will be installed
---> Package lame.x86_64 0:3.99.5-1.el6.rf will be installed
---> Package librtmp.x86_64 0:2.3-3.el6 will be installed
---> Package schroedinger.x86_64 0:1.0.10-1.el6.rf will be installed
--> Processing Dependency: liborc-0.4.so.0()(64bit) for package: schroedinger-1.0.10-1.el6.rf.x86_64
---> Package vlc.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
---> Package xvidcore.x86_64 0:1.3.2-3.el6 will be installed
--> Running transaction check
---> Package orc.x86_64 0:0.4.16-6.el6 will be installed
---> Package vlc.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-2.0.10-1.el6.x86_64
---> Package vlc-core.x86_64 0:2.0.10-1.el6 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: vlc-core-2.0.10-1.el6.x86_64
--> Finished Dependency Resolution
Error: Package: vlc-2.0.10-1.el6.x86_64 (rpmfusion-free-updates)
           Requires: libminizip.so.1()(64bit)
Error: Package: vlc-core-2.0.10-1.el6.x86_64 (rpmfusion-free-updates)
           Requires: libminizip.so.1()(64bit)
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
1:xorg-x11-drv-nvidia-340.29-1.el6.x86_64 has missing requires of xorg-x11-drv-nvidia-libs(x86-64) = ('1', '340.29', '1.el6')
Any help would be much appreciated. Thank you!
 
Old 05-21-2015, 10:21 AM   #2
MensaWater
LQ Guru
 
Registered: May 2005
Location: Atlanta Georgia USA
Distribution: Redhat (RHEL), CentOS, Fedora, CoreOS, Debian, FreeBSD, HP-UX, Solaris, SCO
Posts: 7,831
Blog Entries: 15

Rep: Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669
Its telling you that you need a library called libminizip.so.1 as a dependency for two other packages.

[QUOTE]Error: Package: vlc-2.0.10-1.el6.x86_64 (rpmfusion-free-updates)
Requires: libminizip.so.1()(64bit)
Error: Package: vlc-core-2.0.10-1.el6.x86_64 (rpmfusion-free-updates)
Requires: libminizip.so.1()(64bit)[/QUOTE.

You can check to see if that is available in repositories you have configure by running something like:
yum provides "*/libminizip*" (Note the quotes are necessary and the / is suggested for this kind of searching.

When I did that on my RHEL6 box it gave various hits including:

minizip-1.2.3-25.el6.x86_64 : Minizip manipulates files from a .zip archive
Repo : rhel-x86_64-server-optional-6
Matched from:
Filename : /usr/lib64/libminizip.so.1.0.0
Filename : /usr/lib64/libminizip.so.1

Which means you could just run "yum install minizip" (assuming you've seturp rhel-x86_64-server-optional-6 as a repository to be searched at RedHat for this system).
 
Old 05-21-2015, 08:35 PM   #3
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,628

Rep: Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652
on redhat be VERY VERY VERY CAREFUL !!!!
installing mulit media

VERY CAREFUL!!!!!!!!

the third party repos tend to be incompatible with the base ( RHN) and the updates ( rhn-updates)

i have FUBAR'ed more installs trying to use VLC, Mplayer , Gstreammer, ffmpeg , and so on

so
USE EXTREME CAUTION!!!!!

first install and CONFIGURE!!! yum-priorities plugin
so that rhn and updates ARE PREFERRED !!!!!!!
-- the Cent wiki
http://wiki.centos.org/PackageManagement/Yum/Priorities

this plugin will HELP keep you from KILLING your install
it is possible to royally mess it up so bad you might not be able to boot it

for rhel6 the rpmfusion repo is where vlc 2 is

BUT!!!! very important
the other multy media is in RPMforge

http://wiki.centos.org/TipsAndTricks/MultimediaOnCentOS
http://wiki.centos.org/AdditionalRes...c0ae92d1398e01

mixing third party repos can be dangerous




from the end of the output
Quote:
xorg-x11-drv-nvidia-340.29-1.el6.x86_64
did you add the nvidia repo ?
i do NOT see it listed in the top of the output
-- it should have been


can you please post the output of
Code:
su -
yum repolist all
 
1 members found this post helpful.
Old 05-22-2015, 12:51 PM   #4
MensaWater
LQ Guru
 
Registered: May 2005
Location: Atlanta Georgia USA
Distribution: Redhat (RHEL), CentOS, Fedora, CoreOS, Debian, FreeBSD, HP-UX, Solaris, SCO
Posts: 7,831
Blog Entries: 15

Rep: Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669Reputation: 1669
Good point John. On my RHEL systems I never add non-RHEL repositories but rather download the packages I need from other sites as required because I don't ever want to accidentally get unexpected packages (or versions that superseded the RHEL versions). On occasion that requires me to also download other packages for libraries that aren't in RHEL so a minor dependency hell but I'd rather risk that than crapping out the system by having something go get the latest upstream glibc.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
yum update not working on Red Hat Enterprise Linux Server release 6.4 (Santiago) kevin777motorcycles Linux - Desktop 7 06-09-2015 12:10 PM
vlc media player in red hat mashooq100 Linux - General 1 01-03-2013 08:57 AM
How to install VLC Media Player on CentOS 6 and Red Hat (RHEL) 6 sunjayasri Linux - Software 1 07-18-2012 02:16 AM
LXer: Download VLC 2.0 Media Player Official Release LXer Syndicated Linux News 1 02-19-2012 12:41 PM
Unable To Download VLC Media Player From Download Page(s) clb48 Linux - Newbie 5 03-15-2010 05:42 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:25 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration